import api from "api/index";

export class BoosterStation {
	tags = {
		"CL_FDC": {
			"CL110kVmx4-97jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0002" },
			"CL110kVdh4-9gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0001" },
			"CL110kVmx4-71jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0003" },
			"CL1gy101d": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0282" },
			"CL1by101-4gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0283" },
			"CL1by101-2gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0284" },
			"CL1by101-47jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0285" },
			"CL1by101-27jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0286" },
			"CL1by101-17jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0287" },
			"CL1zb7-1jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1740" },
			"CL35kVmx5PT5-9h": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0451" },
			"CL35kVmx5wg031-1": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1409" },
			"CL35kVmx5wg031-7jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1037" },
			"CL35kVmx3-6fj315d-jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0702" },
			"CL35kVmx3-5fj313d-jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0659" },
			"CL35kVmx3-4fj311d-jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0616" },
			"CL1zbgyIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0146" },
			"CL1zbgyIb": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0147" },
			"CL1zbgyIc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0148" },
			"CL1zbgyP": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0152" },
			"CL1zbgyQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0153" },
			"CL1zbdyIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0165" },
			"CL1zbdyIb": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0166" },
			"CL1zbdyIc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0167" },
			"CL1zbdyP": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0171" },
			"CL1zbdyQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0172" },
			"CL35kVmx5Uab": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0269" },
			"CL35kVmx5Ubc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0270" },
			"CL35kVmx5Uca": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0271" },
			"CL1SvgIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0706" },
			"CL1SvgQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0718" },
			"CL35kVfdIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0560" },
			"CL35kV1jdb831jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0821" },
			"CL110kV112-2gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0085" },
			"CL110kV112-17jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0087" },
			"CL110kV112-27jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0088" },
			"CL110kV112-47jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0089" },
			"CL110kV112-4gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0086" },
			"CL110kV112dl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0084" },
			"CL2by102-4gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0115" },
			"CL2bygy102-47jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0117" },
			"CL2bygy102-27jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0118" },
			"CL2bygy102-17jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0119" },
			"CL2by102-2gl": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0116" },
			"CL2byz7-2jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0177" },
			"CL2bgy102d": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0114" },
			"CL35kVmx4-2fj832-17jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0897" },
			"CL35kVmx4-3fj31djd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0573" },
			"CL35kVmx4-2fj314jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0530" },
			"CL35kVmx4-1fj312jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0487" },
			"CL35kVmx4Pt4-9": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0451" },
			"CLyqwg032jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1342" },
			"CLyqwg032jdxh": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1338" },
			"CLyqwg032bh": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1329" },
			"CL35kVmx4wg030-7jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0989" },
			"CL35kV-2jdb834jd": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0859" },
			"CL35kVfd345d": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0474" },
			"CL110kVIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0011" },
			"CL110kVIb": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0012" },
			"CL110kVIc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0013" },
			"CL110kVP": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0017" },
			"CL110kVQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0018" },
			"CL110kVUab": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0014" },
			"CL110kVUbc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0015" },
			"CL110kVUca": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0016" },
			"CL2zbgyIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0026" },
			"CL2zbgyIb": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0027" },
			"CL2zbgyIc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0028" },
			"CL2zbgyP": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0032" },
			"CL2zbgyQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0033" },
			"CL2zbdyIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0045" },
			"CL2zbdyIb": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0046" },
			"CL2zbdyIc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0047" },
			"CL2zbdyUab": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0048" },
			"CL2zbdyUbc": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0049" },
			"CL2zbdyUca": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0050" },
			"CL2zbdyP": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0051" },
			"CL2zbdyQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0052" },
			"CL2Svg-VcsvgIa": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0657" },
			"CL2SvgQ": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0669" },
			"CLFjzts": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0778" },
			"CLFjzyg": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0786" },
			"CL1zbgyzxyg": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0152" },
			"CL2zbgyzxyg": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0032" },
			"CL033D": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1449" },
			"CL35KV3M031D": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1055" },
			"CL2BD302-4SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0147" },
			"CL1BD302-4SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0315" },
			"CL1BD301SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0315" },
			"CL1BD301": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0313" },
			"CL2BD302SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0147" },
			"CL2BD302": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0145" },
			"CL35KV4M030SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0986" },
			"CL35KV4M030": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0986" },
			"CL35KV5M031SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1036" },
			"CL35KV5M031": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1034" },
			"CL35KV4M2Z832SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0896" },
			"CL35KV4M2Z832": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0894" },
			"CL35KV3M6F315SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0701" },
			"CL35KV3M6F315": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0699" },
			"CL35KV3M5F313SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0658" },
			"CL35KV3M5F313": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0656" },
			"CL35KV3M4F311SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0615" },
			"CL35KV3M4F311": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0613" },
			"CL35KV4M3F316SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0572" },
			"CL35KV4M3F316": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0570" },
			"CL35KV4M2F314SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0529" },
			"CL35KV4M2F314": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0527" },
			"CL35KV4M1F312SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0486" },
			"CL35KV4M1F312": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0484" },
			"CL35KV1J831SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0820" },
			"CL35KV1J831": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0818" },
			"CL35KV2J834SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0858" },
			"CL35KV2J834": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI0856" },
			"CL35KV345": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1084" },
			"CL35KV345SC": { tag: "HB_GD_CLF_DQ_P1_L1_001_DI1092" },
			"CL35KV4M1IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0326" },
			"CL35KV4M1P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0336" },
			"CL35KV4M1Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0337" },
			"CL35KV4M2IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0342" },
			"CL35KV4M2P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0352" },
			"CL35KV4M2Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0353" },
			"CL35KV4M3IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0358" },
			"CL35KV4M3P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0368" },
			"CL35KV4M3Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0369" },
			"CL35KV4M4IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0374" },
			"CL35KV4M4P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0384" },
			"CL35KV4M4Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0385" },
			"CL35KV4M5IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0390" },
			"CL35KV4M5P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0400" },
			"CL35KV4M5Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0401" },
			"CL35KV4M6IA": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0406" },
			"CL35KV4M6P": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0416" },
			"CL35KV4M6Q": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0417" },
			"CL1zbdw": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0570" },
			"CL2zbdw": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0569" },
			"CL35KV4M6IA1": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0272" },
			"CL35KV4M6IA2": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0275" },
			"CL35KV4M6IA3": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0276" },
			"CL35KV4M6IA4": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0486" },
			"CL35KV4M6IA5": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0496" },
			"CL35KV4M6IA6": { tag: "HB_GD_CLF_DQ_P1_L1_001_AI0497" },
			"CL35KV4M6IA7": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1366" },
			"CL35KV4M6IA8": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1376" },
			"CL35KV4M6IA9": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1377" },
		},
		"DX_FDC": {
			"YMG110kVAmx1A90": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0402" },
			"YMG110kVAmx1A9": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0397" },
			"YMG110kVAmx1A10": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0400" },
			"YMG110kVAmx111-X0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0370" },
			"YMG110kVAmx111-A0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0363" },
			"YMG110kVAmx111-1": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0365" },
			"YMG110kVAmx111": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0357" },
			"YMG110kVAmx111-A": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0360" },
			"YMG110kVAmx111-10": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0368" },
			"YMG110kVAmx101-A": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0476" },
			"YMG110kVAmx101-A0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0479" },
			"XC66kVC1629D14": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0481" },
			"YMG110kVAmx101": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0473" },
			"YMG1Zb101-A0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0479" },
			"YMG1Zb101-B0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0486" },
			"YMG1Zb1010": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0488" },
			"YMG1Zb301": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0537" },
			"YMG1Zb301sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0540" },
			"YMG0-4kVmx313-x0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0337" },
			"YMG0-4kVmx1DK": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0333" },
			"YMG04kVmx313": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0334" },
			"YMG04kVmx313sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0343" },
			"YMG35kVJdIx311": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0048" },
			"YMG35kVJdIx311sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0057" },
			"YMG35kVJdIx311-x0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0051" },
			"YMG35kVJdIIx312": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0117" },
			"YMG35kVJdIIx312sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0126" },
			"YMG35kVJdIIx312-x0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0120" },
			"YMG35kVDrq314": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0186" },
			"YMG35kVDrq314sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0199" },
			"XC66kVC1629D8": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0200" },
			"YMG35kVDrq314-1": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0195" },
			"YMG35kVDrq314-x0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0189" },
			"YMG35kVSvg315": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0261" },
			"YMG35kVSvg315sc": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0273" },
			"YMG35kVSvg315-1": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0269" },
			"XC66kVC1629D6": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0274" },
			"YMG35kVSvg315-x0": { tag: "HB_GD_DXF_DQ_P1_L1_001_DI0263" },
			"YMG110KVckia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0174" },
			"YMG110KVckq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0178" },
			"YMG110KVckp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0177" },
			"YMG110KVckcos": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0179" },
			"YMG110KVckux": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0170" },
			"YMG110KVckua": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0180" },
			"YMG110KVckub": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0181" },
			"YMG110KVckuc": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0182" },
			"YMG110KVckuab": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0183" },
			"YMG110KVckubc": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0184" },
			"YMG110KVckuca": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0185" },
			"YMG110KVck3u0": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0186" },
			"YMG1Zybia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0156" },
			"YMG1Zybq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0165" },
			"YMG1Zybcos": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0166" },
			"YMG1Zybp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0164" },
			"YMG35KVmxua": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0187" },
			"YMG35KVmxub": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0188" },
			"YMG35KVmxuc": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0189" },
			"YMG35KVmxuab": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0190" },
			"YMG35KVmxucb": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0191" },
			"YMG35KVmxuca": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0192" },
			"YMG35KVm3u0": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0193" },
			"YMGJdIxia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0115" },
			"YMGJdIxp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0123" },
			"YMGJdIxq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0124" },
			"YMGJdIIxia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0126" },
			"YMGJdIIxp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0134" },
			"YMGJdIIxq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0135" },
			"YMGDrqia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0137" },
			"YMGDrqp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0145" },
			"YMGDrqq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0146" },
			"YMGSvgia": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0148" },
			"YMGSvgp": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0153" },
			"YMGSvgq": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0154" },
			"YMG35KVZRZWD": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0221" },
			"YMG35KVZYW1": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0219" },
			"YMG35KVZYW2": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0220" },
			"YMG35KVDW": { tag: "HB_GD_DXF_DQ_P1_L1_001_AI0218" },
		},
		"KB_FDC": {
			"KB10FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1206" },
			"KB10FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1216" },
			"KB11FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1222" },
			"KB11FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1232" },
			"KB12FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1238" },
			"KB12FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1248" },
			"KB13FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1254" },
			"KB13FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1264" },
			"KB14FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1270" },
			"KB14FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1280" },
			"KB15FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1286" },
			"KB15FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1296" },
			"KB16FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1382" },
			"KB16FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1392" },
			"KB17FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1398" },
			"KB17FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1408" },
			"KB18FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1414" },
			"KB18FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1424" },
			"KB19FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1430" },
			"KB19FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1440" },
			"KB1DRIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0279" },
			"KB1DRP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0282" },
			"KB1Drq031": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0621" },
			"KB1Drq031-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0626" },
			"KB1Drq031-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0624" },
			"KB1Drq031-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0624" },
			"KB1Drq031sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0623" },
			"KB1FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0258" },
			"KB1FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0261" },
			"KB1JDIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0272" },
			"KB1JDP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0275" },
			"KB1Svg033": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1196" },
			"KB1Svg033-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1199" },
			"KB1Svg033-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1199" },
			"KB1Svg033sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1198" },
			"KB1SVGIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0477" },
			"KB1SVGP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0710" },
			"KB20FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1446" },
			"KB20FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1456" },
			"KB21FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1462" },
			"KB21FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1472" },
			"KB220kV5mx-17Jd": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0214" },
			"KB220kV5mx-2201K": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0324" },
			"KB220kV5mx2201-57": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0337" },
			"KB220kV5mx-2202K": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1523" },
			"KB220kV5mx2202-57": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1536" },
			"KB220kV5mx-2203K": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1715" },
			"KB220kV5mx2203-303": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1779" },
			"KB220kV5mx2203-303sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1780" },
			"KB220kV5mx2203-5": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1723" },
			"KB220kV5mx2203-57": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1728" },
			"KB220kV5mx2211K": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0196" },
			"KB220kV5mx225-71": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0262" },
			"KB220kV5mx225-71Jd": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0338" },
			"KB220kV5mx225-9": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0258" },
			"KB220kV5mx225-97": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0261" },
			"KB220kV5mx-27": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0215" },
			"KB220kV5mx-2Gd": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0211" },
			"KB220kV5mx-301": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0388" },
			"KB220kV5mx-301sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0391" },
			"KB220kV5mx-5": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1531" },
			"KB220kV5mx-57Jd": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0210" },
			"KB220kV5mx-5Gd": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0207" },
			"KB220kV5mx-5Gz": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0334" },
			"KB220KVDW": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0508" },
			"KB220KVIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0100" },
			"KB220KVP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0106" },
			"KB220KVQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0107" },
			"KB220KVRZWD": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0243" },
			"KB220KVUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0103" },
			"KB220KVUBC": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0104" },
			"KB220KVUCA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0105" },
			"KB220KVYW1": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0241" },
			"KB220KVYW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0242" },
			"KB2DRIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0286" },
			"KB2DRP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0289" },
			"KB2Drq032": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0655" },
			"KB2Drq032-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0660" },
			"KB2Drq032-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0658" },
			"KB2Drq032-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0658" },
			"KB2Drq032sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0657" },
			"KB2FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0265" },
			"KB2FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0268" },
			"KB2JDIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1190" },
			"KB2JDP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1200" },
			"KB2Svg034": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1244" },
			"KB2Svg034-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1247" },
			"KB2Svg034-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1247" },
			"KB2Svg034sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1246" },
			"KB2SVGIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0480" },
			"KB2SVGP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0726" },
			"KB35KV1ZIIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0164" },
			"KB35KV1ZP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0170" },
			"KB35KV1ZQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0171" },
			"KB35KV1ZUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0167" },
			"KB35KV2Z5MIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0841" },
			"KB35KV2Z5MP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0847" },
			"KB35KV2Z5MQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0848" },
			"KB35KV2Z5MUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0844" },
			"KB35KV2ZDW": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1705" },
			"KB35KV2ZIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0809" },
			"KB35KV2ZP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0815" },
			"KB35KV2ZQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0816" },
			"KB35KV2ZRZWD": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0904" },
			"KB35KV2ZUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0812" },
			"KB35KV2ZYW1": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0902" },
			"KB35KV2ZYW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0903" },
			"KB35KV3MDW": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1897" },
			"KB35KV3MRZWD": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1032" },
			"KB35KV3MUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1164" },
			"KB35KV3MUBC": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1165" },
			"KB35KV3MUCA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1166" },
			"KB35kV3mx038": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2833" },
			"KB35kV3mx038-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2838" },
			"KB35kV3mx038-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2836" },
			"KB35kV3mx038-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2836" },
			"KB35kV3mx038sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2835" },
			"KB35kV3mx039": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2881" },
			"KB35kV3mx039-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2886" },
			"KB35kV3mx039-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2884" },
			"KB35kV3mx039-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2884" },
			"KB35kV3mx039sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2883" },
			"KB35kV3mx040": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2929" },
			"KB35kV3mx040-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2934" },
			"KB35kV3mx040-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2932" },
			"KB35kV3mx040-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2932" },
			"KB35kV3mx040sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2931" },
			"KB35kV3mx327": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2545" },
			"KB35kV3mx327-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2548" },
			"KB35kV3mx327sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2547" },
			"KB35kV3mx328": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2593" },
			"KB35kV3mx328-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2596" },
			"KB35kV3mx328sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2595" },
			"KB35kV3mx329": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2641" },
			"KB35kV3mx329-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2644" },
			"KB35kV3mx329sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2643" },
			"KB35kV3mx330": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2689" },
			"KB35kV3mx330-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2692" },
			"KB35kV3mx330sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2691" },
			"KB35kV3mx331": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2737" },
			"KB35kV3mx331-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2740" },
			"KB35kV3mx331sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2739" },
			"KB35kV3mx332": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2785" },
			"KB35kV3mx332-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2788" },
			"KB35kV3mx332sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2787" },
			"KB35kV3mx333": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2977" },
			"KB35kV3mx333-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2980" },
			"KB35kV3mx333sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2979" },
			"KB35kV3mx833": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2497" },
			"KB35kV3mx833-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2500" },
			"KB35kV3mx833sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2499" },
			"KB35kV3mxPT3-9": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1940" },
			"KB35KV3MYW1": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1030" },
			"KB35KV3MYW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1031" },
			"KB35KV3Z3MIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0969" },
			"KB35KV3Z3MP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0975" },
			"KB35KV3Z3MQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0976" },
			"KB35KV3Z3MUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0972" },
			"KB35KV3ZIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0937" },
			"KB35KV3ZP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0943" },
			"KB35KV3ZQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0944" },
			"KB35KV3ZUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0940" },
			"KB35kV4mx035": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2305" },
			"KB35kV4mx035-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2305" },
			"KB35kV4mx035-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2308" },
			"KB35kV4mx035-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2308" },
			"KB35kV4mx035sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2307" },
			"KB35kV4mx036": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2353" },
			"KB35kV4mx036-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2355" },
			"KB35kV4mx036-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2356" },
			"KB35kV4mx036-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2356" },
			"KB35kV4mx036sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2355" },
			"KB35kV4mx037": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2401" },
			"KB35kV4mx037-1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2403" },
			"KB35kV4mx037-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2404" },
			"KB35kV4mx037-7": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2404" },
			"KB35kV4mx037sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2403" },
			"KB35kV4mx320": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2017" },
			"KB35kV4mx320-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2020" },
			"KB35kV4mx320sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2019" },
			"KB35kV4mx321": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2065" },
			"KB35kV4mx321-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2068" },
			"KB35kV4mx321sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2067" },
			"KB35kV4mx322": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2113" },
			"KB35kV4mx322-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2116" },
			"KB35kV4mx322sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2115" },
			"KB35kV4mx323": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2161" },
			"KB35kV4mx323-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2164" },
			"KB35kV4mx323sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2163" },
			"KB35kV4mx324": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2209" },
			"KB35kV4mx324-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2212" },
			"KB35kV4mx324sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2211" },
			"KB35kV4mx325": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2257" },
			"KB35kV4mx325-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2260" },
			"KB35kV4mx325sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2259" },
			"KB35kV4mx326": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2449" },
			"KB35kV4mx326-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2452" },
			"KB35kV4mx326sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI2451" },
			"KB35kV4mx832": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1969" },
			"KB35kV4mx832-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1972" },
			"KB35kV4mx832sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1971" },
			"KB35kV4mxPT4-9": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1936" },
			"KB35KV5M1ZIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0196" },
			"KB35KV5M1ZP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0202" },
			"KB35KV5M1ZQ": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0203" },
			"KB35KV5M1ZUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0039" },
			"KB35KV5MUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0039" },
			"KB35KV5MUBC": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0040" },
			"KB35KV5MUCA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0041" },
			"KB35kV5mx1Fjx-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0517" },
			"KB35kV5mx1Fjx311": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0514" },
			"KB35kV5mx1Fjx311sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0516" },
			"KB35kV5mx1Jdx831": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0586" },
			"KB35kV5mx1Jdx831-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0589" },
			"KB35kV5mx1Jdx831sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0588" },
			"KB35kV5mx1Jdx831-XX": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0589" },
			"KB35kV5mx2Fjx-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0553" },
			"KB35kV5mx2Fjx312": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0550" },
			"KB35kV5mx2Fjx312sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0552" },
			"KB35KVmxPT5-9": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0076" },
			"KB3FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0293" },
			"KB3FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0296" },
			"KB3Fjx313": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0689" },
			"KB3Fjx313-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0692" },
			"KB3Fjx313sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0691" },
			"KB3JDIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1366" },
			"KB3JDP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1376" },
			"KB3SVGIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1302" },
			"KB3SVGP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1312" },
			"KB400Id302": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1587" },
			"KB400Id302sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1588" },
			"KB400Id401": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0001" },
			"KB400Id402": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0006" },
			"KB400Id402_xx": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0008" },
			"KB400Id412": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0011" },
			"KB400VCYIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0272" },
			"KB4FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0300" },
			"KB4FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0303" },
			"KB4Fjx314": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0725" },
			"KB4Fjx314-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0728" },
			"KB4Fjx314sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0727" },
			"KB4MUAB": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1100" },
			"KB4MUBC": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1101" },
			"KB4MUCA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1102" },
			"KB4SVGIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1478" },
			"KB4SVGP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1488" },
			"KB5FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0314" },
			"KB5FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0317" },
			"KB5Fjx315": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0797" },
			"KB5Fjx315-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0800" },
			"KB5Fjx315sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0799" },
			"KB6FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0307" },
			"KB6FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0310" },
			"KB6Fjx316": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0761" },
			"KB6Fjx316-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0764" },
			"KB6Fjx316sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0763" },
			"KB7FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0321" },
			"KB7FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0324" },
			"KB7Fjx317": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0833" },
			"KB7Fjx317-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0836" },
			"KB7Fjx317sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0835" },
			"KB8FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0328" },
			"KB8FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0331" },
			"KB8Fjx318": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0869" },
			"KB8Fjx318-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0872" },
			"KB8Fjx318sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0871" },
			"KB9FJIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0335" },
			"KB9FJP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0338" },
			"KB9Fjx319": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0905" },
			"KB9Fjx319-17": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0908" },
			"KB9Fjx319sc": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0907" },
			"KBH3DRIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1494" },
			"KBH3DRP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1504" },
			"KBH3DRQIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1318" },
			"KBH3DRQP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1328" },
			"KBH5DRIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1510" },
			"KBH5DRP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1520" },
			"KBH5DRQIA": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1334" },
			"KBH5DRQP": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1344" },
			"KB326Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1361" },
			"KB831Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0276" },
			"KBF017Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1409" },
			"KBF013Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1265" },
			"KBSVG1Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0711" },
			"KBSVG2Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0727" },
			"KB333Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1537" },
			"KBF020Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1457" },
			"KBF016Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1393" },
			"KB036Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1329" },
			"KBF011Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1233" },
			"KBF010Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1217" },
			"KB832Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1201" },
			"KB038Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1489" },
			"KBF009Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0339" },
			"KBF006Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0311" },
			"KB031Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0283" },
			"KBF001Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0262" },
			"KBF012Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1249" },
			"KBF007Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0325" },
			"KBF005Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0318" },
			"KBF018Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1425" },
			"KBF002Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0269" },
			"KB833Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1377" },
			"KB039Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1505" },
			"KB037Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1345" },
			"KBF003Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0297" },
			"KB032Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0290" },
			"KBF021Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1473" },
			"KBF019Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1441" },
			"KBF004Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0304" },
			"KBF015Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1297" },
			"KBF008Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI0332" },
			"KB035Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1313" },
			"KBF014Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1281" },
			"KB040Q": { tag: "HB_GD_KBF_DQ_P1_L1_001_AI1521" },
			"KB220KVDW1": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0506" },
			"KB220KVDW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0507" },
			"KB220KVDW8": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0509" },
			"KB220KVDW10": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0510" },
			"KB220KVDW20": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI0511" },
			"KB35KV2ZDW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1706" },
			"KB35KV2ZDW4": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1707" },
			"KB35KV2ZDW8": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1708" },
			"KB35KV2ZDW10": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1709" },
			"KB35KV2ZDW20": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1710" },
			"KB35KV3MDW2": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1898" },
			"KB35KV3MDW4": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1899" },
			"KB35KV3MDW8": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1900" },
			"KB35KV3MDW10": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1901" },
			"KB35KV3MDW20": { tag: "HB_GD_KBF_DQ_P1_L1_001_DI1902" },


		},
	}

	constructor() {
		this.getDatas = this.getDatas.bind(this);
		this.getTags = this.getTags.bind(this);
	}

	getDatas(station, action) {
		var currentStation = this.tags[station]
		var tags = this.getTags(currentStation);

		api.refreshData(tags).then(msg => {
				var datas = msg.data;
				var data = {};
				for (var v in currentStation) {
					var dt = datas[currentStation[v].tag];
					if (!dt) continue;
					data[v] = dt.doubleValue ? dt.doubleValue.toFixed(2) : (dt.booleanValue ? dt.booleanValue : 0);
				}
				action(data);
			})
			.catch(err =>
				console.error(err)
			);
	}

	getTags(station) {
		var tags = "";
		for (var v in station) {
			tags += station[v].tag + ",";
		}
		return tags;
	}
}
